<app-header></app-header>
<toaster-container></toaster-container>
<div class="app-body">
  <app-sidebar></app-sidebar>
  <!-- Main content -->
  <main class="main">
    <!-- Breadcrumb -->
    <ol class="breadcrumb">
      <app-breadcrumbs></app-breadcrumbs>
      <!-- Breadcrumb Menu-->
      <li class="breadcrumb-menu d-md-down-none">
        <div class="btn-group" role="group" aria-label="Button group with nested dropdown">

        </div>
      </li>
    </ol>
    <div class="container-fluid">
      <div class="row" *ngIf="url.substring(11) === 'allasset'">
        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-list-ul bg-primary p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2"> Total Assets</div>
              <div class="h5 text-right">{{length}}</div>
            </div>
          </div>
        </div>
        <!--/.col-->

        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-battery-three-quarters bg-info p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2">Discharging</div>
              <div class="h5 text-right">{{discharging}}</div>
            </div>
          </div>
        </div>
        <!--/.col-->

        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-moon-o bg-warning p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2">Idle</div>
              <div class="h5 text-right">{{idle}}</div>
            </div>
          </div>
        </div>
        <!--/.col-->

        <div class="col-6 col-lg-3">
          <div class="card">
            <div class="card-body p-3 clearfix">
              <i class="fa fa-battery-quarter bg-danger p-3 font-2xl mr-3 float-left"></i>
              <div class="text-uppercase text-muted font-weight-bold font-xs text-right mb-0 mt-2">Charging</div>
              <div class="h5 text-right">{{charging}}</div>
            </div>
          </div>
        </div>

        <!--/.col-->
      </div>
      <!--/.row-->
      <!-- added comment -->
      <!-- <app-register-driver></app-register-driver> -->
    <app-asset-table *ngIf="url.substring(11) === 'allasset'"></app-asset-table>
    <app-add-asset-table *ngIf="url.substring(10) === 'newasset'"></app-add-asset-table>
    <app-edit-asset-table *ngIf="url.substring(11,20) === 'editasset'"></app-edit-asset-table>
    <app-track-asset *ngIf="url.substring(11,21) === 'trackasset'"></app-track-asset>
    <app-asset-assignment *ngIf="url.substring(12) === 'primary'"></app-asset-assignment>
    <app-secondary-asset-assignment *ngIf="url.substring(12) === 'secondary'"></app-secondary-asset-assignment>
    <app-register-driver *ngIf="url.substring(10,24) === 'registerdriver'"></app-register-driver>
    <app-register-lsp *ngIf="url.substring(10,21) === 'registerlsp'"></app-register-lsp>
    <app-recentpath *ngIf="url.substring(11,21) === 'recentpath'"></app-recentpath>
    <app-edit-asset-table *ngIf="url.substring(6) === 'editbatterypack'"></app-edit-asset-table>
    <app-edit-data-logger *ngIf="url.substring(6) === 'editdatalogger'"></app-edit-data-logger>
    <app-edit-bms *ngIf="url.substring(6) === 'editbms'"></app-edit-bms>
    <app-create-battery-pack *ngIf="url.substring(10) === 'registerbatterypack'"></app-create-battery-pack>
    <app-driver-profile *ngIf="url.substring(1) === 'driver-profile'"></app-driver-profile>
    <app-account *ngIf="url.substring(9) === 'add'"></app-account>
    <app-account-view *ngIf="url.substring(9) === 'view'"></app-account-view>
    <app-checklist *ngIf="url.substring(7) === 'checklist'"></app-checklist>
    <app-receive-checklist *ngIf="url.substring(7) === 'receive-checklist'"></app-receive-checklist>
    <app-register-user *ngIf="url.substring(1) === 'user-registration'"></app-register-user>
    <app-register-cell *ngIf="url.substring(1) === 'cell-registration'"></app-register-cell>
    <app-asset-status *ngIf="url.substring(1) === 'asset-status'"></app-asset-status>
    <app-register-charger *ngIf="url.substring(1) === 'charger-registration'"></app-register-charger>
    <app-earning-feedback *ngIf="url.substring(1) === 'earning-feedback'"></app-earning-feedback>
    <app-asset-health-check *ngIf="url.substring(11,21) === 'assetcheck'"></app-asset-health-check>
    <app-battery-table *ngIf="url.substring(11,24) === 'batteryStatus'"></app-battery-table>
    <app-customer-interaction *ngIf="url.substring(10)=== 'customer-interaction'"></app-customer-interaction>
    <app-view-customer-interaction *ngIf="url.substring(10)=== 'view-customer-interaction'"></app-view-customer-interaction>
   <app-data-logger-battery *ngIf="url.substring(1)=== 'datalogger'"></app-data-logger-battery>
    <!-- http://localhost:4200/dashboard/assetcheck/B018 -->

    <app-view-checklist *ngIf="url.substring(6) === 'sendingOut'"></app-view-checklist>
    <app-view-receivein-checklist *ngIf="url.substring(6) === 'receivingIn'"></app-view-receivein-checklist>
    </div>
    <!-- /.conainer-fluid -->
  </main>
  <app-aside></app-aside>
</div>
<app-footer></app-footer>
<!-- A14 - BP Cell -60 AH-->
